Bug 1976217 - Chart empty state card different height than other cards on Metrics tab
Summary: Chart empty state card different height than other cards on Metrics tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Jon Jackson
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-25 14:36 UTC by Samuel Padgett
Modified: 2021-10-18 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: QueryBrowser empty state has min-height style defined Consequence: When a QueryBrowser chart was placed in a card on the new resource metrics tab, the height of empty state cards was different than non-empty state cards Fix: Make resource metric cards static height and remove min-height styles from empty state. Result: All cards are now the same height when displaying charts or empty states.
Clone Of:
Environment:
Version: 4.9.0-0.nightly-2021-06-25-050351 Cluster ID: b17c04cf-20a5-47ea-9a0a-cf47dce9bd06 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:89.0) Gecko/20100101 Firefox/89.0
Last Closed: 2021-10-18 17:36:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (72.72 KB, image/png)
2021-06-25 14:36 UTC, Samuel Padgett
no flags Details
CardsSameHeight (130.65 KB, image/png)
2021-08-04 03:41 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9633 0 None open Bug 1976217: Make resource details metrics tab cards fixed height and consistent styles 2021-07-27 16:11:55 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:08 UTC

Description Samuel Padgett 2021-06-25 14:36:25 UTC
Created attachment 1794416 [details]
Screenshot

See screenshot. The empty state card is a different height than the metrics cards with content, causing a minor layout issue on the workload Metrics tabs.

Comment 1 Samuel Padgett 2021-06-25 19:52:55 UTC
We should dig into why there are no CPU metrics here as well. I would expect there to be.

Comment 2 Jon Jackson 2021-07-02 20:18:21 UTC
Haven't had a chance to look into this yet, but I suspect that the empty CPU metrics is related to the dev console bug where the PromQL query was wrong.

Comment 3 Jon Jackson 2021-07-21 13:51:26 UTC
Started work on this and was able to address the empty state height issue easily enough, but also ran into resizing issues on the resource metrics tab. I might just go ahead and open a PR for this and a separate bug for the resizing issue.

Comment 5 Siva Reddy 2021-08-04 03:41:31 UTC
Created attachment 1810650 [details]
CardsSameHeight


ClusterVersion:
   4.9.0-0.nightly-2021-08-02-145924

Steps to verify:
  1. login to console
  2. navigate to workloads>deployments 
  3. go to any deployments details by clicking on details and click Metrics

   Now the cards are all same height.

  navigate to other workloads like pods and notice that the cards are the same height.

Comment 8 errata-xmlrpc 2021-10-18 17:36:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.